INSTALL(1)

NOM
install - Copier des fichiers et positionner leurs attributs

SYNOPSIS
install [OPTION]... [-T] SOURCE CIBLE
install [OPTION] ... SOURCE ... RÉPERTOIRE
install [OPTION] ... -t RÉPERTOIRE SOURCE ...
install [OPTION] ... -d RÉPERTOIRE ...

DESCRIPTION

Ce programme d'installation copie les fichiers (souvent juste compilés) à l'emplacement que vous souhaitez. Si vous voulez télécharger et installer un paquet prêt à l'emploi sur système GNU/Linux, vous devriez plutôt passer par un gestionnaire de paquets comme yum(1) ou apt-get(1).

Dans les trois premiers formats, copier la SOURCE vers la CIBLE ou des fichiers de plusieurs SOURCEs vers un RÉPERTOIRE existant, tout en initialisant les modes de permission et les propriétaire et groupe. Dans le quatrième format, créer tous les composants des RÉPERTOIREs spécifiés.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

--backup[=MODE]
    archiver chaque fichier cible existant

-b  identique à --backup mais sans paramètre

-c  (ignoré)

-C, --compare
    comparer chaque paire de fichier source et destination, et dans certains cas, ne pas modifier la destination

-d, --directory
    traiter tous les paramètres comme des noms de répertoires ; créer tous les composants des répertoires indiqués

-D  créer tous les composants principaux de la CIBLE à l'exception du dernier, puis copier la SOURCE vers la CIBLE

-g, --group=GROUPE
    choisir le groupe d'appartenance, plutôt que le groupe du processus en cours

-m, --mode=MODE
    configurer les droits (comme avec chmod), au lieu de rwxr-xr-x

-o, --owner=PROPRIÉTAIRE
    attribuer l'appartenance au PROPRIÉTAIRE (pour le superutilisateur seulement)

-p, --preserve-timestamps
    appliquer les dates d'accès/modification des fichiers SOURCEs aux fichiers de la CIBLE

-s, --strip
    enlever les tables de symboles

--strip-program=PROGRAMME
    programme utilisé pour enlever la table des symboles des binaires

-S, --suffix=SUFFIXE
    écraser le suffixe habituel d'archivage avec le SUFFIXE

-t, --target-directory=RÉPERTOIRE
    copier tous les paramètres de la SOURCE dans le RÉPERTOIRE

-T, --no-target-directory
    traiter la CIBLE comme un fichier normal

-v, --verbose
    afficher le nom de chaque répertoire créé

--preserve-context
    conserver le contexte de sécurité SELinux

-Z  définir le contexte de sécurité SELinux du fichier de destination au type par défaut

--context=CONTEXTE
    comme -Z ou, si CONTEXTE est indiqué, définir le contexte de sécurité SELinux ou SMACK à CONTEXTE

--help
    Afficher l'aide-mémoire et quitter

--version
    Afficher le nom et la version du logiciel et quitter

Le suffixe d'archivage est « ~ », à moins d'avoir été initialisé avec --suffix ou SIMPLE_BACKUP_SUFFIX. La méthode de contrôle de version peut être choisie à l'aide de l'option --backup ou à l'aide de la variable d'environnement VERSION_CONTROL parmi les valeurs suivantes :

none, off
    ne jamais archiver (même si --backup est utilisé)

numbered, t
    faire des archives numérotées

existing, nil
    numéroter si des archives numérotées existent déjà, sinon ne pas numéroter

simple, never
    toujours faire des archives de type simple

AUTEUR
Écrit par David MacKenzie.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <http://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction de install à <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2014 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou supérieures <http://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
Documentation complète : <http://www.gnu.org/software/coreutils/install>
aussi disponible localement à l’aide de la commande : info '(coreutils) install invocation'

TRADUCTION
Cette page de manuel a été traduite par Michel Robitaille <robitail AT iro DOT umontreal DOT ca> et mise à jour pour Debian par Franck Bassi <fblinux AT wanadoo DOT fr> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.